glibmm 2.32.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

Classes | Enumerations | Functions
Threads

Thread abstraction; including threads, different mutexes, conditions and thread private data. More...

## Classes
class | Glib::Threads::ThreadError
| Exception class for thread-related errors. More...
class | Glib::Threads::Thread
| Represents a running thread. More...
class | Glib::Threads::Thread::Exit
| Exception class used to exit from a thread. More...
class | Glib::Threads::Mutex
| Represents a mutex (mutual exclusion). More...
class | Glib::Threads::Mutex::Lock
| Utility class for exception-safe mutex locking. More...
class | Glib::Threads::RecMutex
class | Glib::Threads::RWLock
class | Glib::Threads::RWLock::ReaderLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::Threads::RWLock::WriterLock
| Utility class for exception-safe locking of read/write locks. More...
class | Glib::Threads::Cond
| An opaque data structure to represent a condition. More...
class | Glib::Threads::Private< T >
| Thread-local data pointer. More...
class | Glib::Dispatcher
| Signal class for inter-thread communication. More...

## Enumerations
enum | Glib::Threads::NotLock { Glib::Threads::NOT_LOCK }
enum | Glib::Threads::TryLock { Glib::Threads::TRY_LOCK }

## Functions
Thread* | wrap (GThread* gobject)

## Detailed Description

Thread abstraction; including threads, different mutexes, conditions and thread private data.

## Enumeration Type Documentation

enum Glib::Threads::NotLock

Enumerator:

  NOT_LOCK |

enum Glib::Threads::TryLock

Enumerator:

  TRY_LOCK |

## Function Documentation

Thread * wrap | ( | GThread * | gobject | ) |
| related